	
clear
use Data/KoreaJHS_Distr.dta

bys schwave: egen nschwave=count(schwave)
drop if nschwave<=2 & wave==2
xtset id wave

gen bulliedin1and2 = bullieddum if wave==2
replace bulliedin1and2 = l.bullieddum if wave==2 & (bulliedin1and2==. | bulliedin1and2==0)

local choice bulliedin1and2	
gen f`choice' = f.`choice'
	
foreach outvar in depre_std smoke drink sick psychoprob satisfied inCollege StressFriends_std StressParent_std StressSchool_std StressPoverty_std StressTotal_std {	
	local f
	local filter
	di _n "`outvar'"
	if "`outvar'"=="inCollege" local f "f." // College is in w=6
	qui gen fw5`outvar' = f.f.f.f.`f'`outvar'	
	
//	if inlist("`outvar'","depre_std","StressImage_std") qui sum fw5`outvar' if wave==2 & sample==1, d
//	if inlist("`outvar'","depre_std","StressImage_std") local filter " & inrange(fw5`outvar',`r(p1)',`r(p99)')" // & lnmonthinc_pc!=."	
		
	ttest fw5`outvar' if sample==1 & wave==1 & lnmonthinc_pc!=. & rankclassscore_std!=. `filter', by(fbulliedin1and2)
	

	
}	
