* This proframg comes from dist2f. 
* Only change is multiplying by .5 in the rho

cap program drop random_dist2f
program random_dist2f
	args sig11 sig12 sig21 sig22 pr mu1 mu2 r1 r2

	gen __u=uniform()
	local s11=exp(`sig11')
	local s12=exp(`sig12')
	local s21=exp(`sig21')
	local s22=exp(`sig22')
	local p=invlogit(`pr')
	local rho1=cos(_pi*invlogit(`r1'))
	local rho2=cos(_pi*invlogit(`r2'))
	
	mat __corr1 = `s11'^2, (.5*`rho1'*`s11'*`s12') \ (.5*`rho1'*`s11'*`s12'), `s12'^2
	mat __corr2 = `s21'^2, (.5*`rho2'*`s21'*`s22') \ (.5*`rho2'*`s21'*`s22'), `s22'^2
	mat __mean1 = `mu1',`mu2' 
	mat __mean2 = (`p'*`mu1')/(`p'-1), (`p'*`mu2')/(`p'-1)
	drawnorm __f1Ahat __f2Ahat, cov(__corr1) means(__mean1)
	drawnorm __f1Bhat __f2Bhat, cov(__corr2) means(__mean2)
	gen __f1hat = __f1Ahat if __u<`p'
	replace __f1hat = __f1Bhat if __u>=`p' 
	gen __f2hat = __f2Ahat if __u<`p' 

	replace __f2hat = __f2Bhat if __u>=`p'
	drop __u __f1Ahat __f2Ahat __f1Bhat __f2Bhat
	mat drop __corr1 __corr2 __mean1 __mean2
	rename __f1hat mixt1
	rename __f2hat mixt2
	
end

